      subroutine hec_runh_zebra
c
c read bank RUNH
c
      implicit none
c
      include'hec_runh.inc'     !run header
      include'hec_zebra.inc'    !zebra
c
c local variables
c
      integer ind2
c
c get appropriate index
c
      ind2 = 2*ipointz
c
c fill runcom
c
      run_no = iq2(ind2 + 4)
      e_beam = iq2(ind2 + 5)
      i_part = iq2(ind2 + 6)
      x_cryo = iq2(ind2 + 7)
      y_tabl = iq2(ind2 + 8)
c
c override run header values if requested
c
      call hec_runh_replace
c
c print run banner
c
      write(*, 1020) run_no, e_beam, i_part, x_cryo, y_tabl 
 1020 format (/2x,27(1h*)/2x,1h*,25x,1h*/
     +2x,'* run number    =',i8,2h */
     +2x,'* beam energy   =',f8.1,2h */
     +2x,'* particle code =',i8,2h */
     +2x,'* x_cryostat    =',f6.2,2hcm,2h */
     +2x,'* y_table       =',f6.2,2hcm,2h */
     +2x,1h*,25x,1h*/2x,27(1h*)/)
c
      end
